<?php
/*
Plugin Name: PressBackup
Plugin URI: http://pressbackup.com
Description: Pressbackup is the easiest plugin available for backing up your wordpress site automatically. Using Amazon cloud technology, pressbackup allows your wordpress blog administrator to schedule backups of your entire site, restore backups, and migrate your site in the event of your server failure or moving. Pressbackup is free to use with your own AWS S3 credentials or you can purchase a pro subscription and we handle the backups for you. Without S3, pressbackup will allow you to manually download and upload backup files from your site.
Author: Infinimedia Inc.
Version: 0.7
Author URI: http://infinimedia.com/
*/

	//init framework
	require_once('.core/w2pf_init.php');
	global $FramePress;
	global $pressbackup;
	$pressbackup = new $FramePress(__FILE__);

	$wp_pages =array (

		'tools' =>array(
			array(
				'page_title' => 'PressBackup',
				'menu_title' => 'PressBackup',
				'capability' => 'administrator',
				'menu_slug' => 'principal',
			),
		),
		'settings' =>array(
			array(
				'page_title' => 'PressBackup',
				'menu_title' => 'PressBackup Settings',
				'capability' => 'administrator',
				'menu_slug' => 'settings',
			),
		),
	);

	$wp_actions = array (
		array(
			'tag' => 'init',
			'handler' => 'extra',
			'function' => 'pressbackup_check_schedule',
			'is_ajax' => false,
		),
		array(
			'tag' => 'admin_init',
			'handler' => 'extra',
			'function' => 'pressbackup_restore_htaccess',
			'is_ajax' => false,
		),
		array(
			'tag' => 'pressback_backup_start_cronjob',
			'handler' => 'principal',
			'function' => 'backup_start_createsend',
			'is_ajax' => false,
		),
		array(
			'tag' => 'pressbackup_check_create_send_status',
			'handler' => 'principal',
			'function' => 'pressbackup_check_create_send_status',
			'is_ajax' => true,
		),
		array(
			'tag' => 'pressbackup_backup_createsend',
			'handler' => 'principal',
			'function' => 'backup_start_createsend',
			'is_ajax' => true,
		),
		array(
			'tag' => 'pressbackup_backup_create_zip',
			'handler' => 'principal',
			'function' => 'backup_create_zip',
			'is_ajax' => true,
		),
	);


	$pressbackup->Page->add($wp_pages);
	$pressbackup->Action->add($wp_actions);

?>
